#
# spec file for package ibus-libzhuyin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 13

Name:           ibus-libzhuyin
Version:        1.8.0
Release:        lp150.1.38
Summary:        Zhuyin engine based on libzhuyin for IBus
License:        GPL-2.0
Group:          System/I18n/Chinese
Url:            https://github.com/libzhuyin/ibus-libzhuyin
Source:         https://excellmedia.dl.sourceforge.net/project/libzhuyin/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  libpinyin-tools >= 2.0.91
BuildRequires:  libzhuyin%{sover}
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(ibus-1.0) >= 1.4.99
BuildRequires:  pkgconfig(libpinyin) >= 2.0.91
BuildRequires:  pkgconfig(opencc) >= 1.0.0
Provides:       locale(ibus:zh_TW;zh_HK)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes a Chinese Zhuyin (Bopomofo) input method based
on libzhuyin for IBus.

%prep
%setup -q
#NOCONFIGURE=1 ./autogen.sh

%build
%configure
make %{?_smp_mflags}

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc
%find_lang %{name}
%fdupes %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING
%{_libexecdir}/ibus-engine-libzhuyin
%{_libexecdir}/ibus-setup-libzhuyin
%{_datadir}/%{name}
%{_libdir}/ibus-libzhuyin/
%dir %{_datadir}/appdata
%{_datadir}/appdata/libzhuyin.appdata.xml
%{_datadir}/ibus/component/libzhuyin.xml
%{_datadir}/applications/ibus-setup-libzhuyin.desktop

%changelog
* Sun Oct  1 2017 hillwood@opensuse.org
- Update to 1.8.0
  * fixes processCommit method.
  * clean code.
  * fixes a warning.
- Use libpinyin 2.1.0
- Remove invalid %%post and %%postun.
* Sat Aug 26 2017 jengelh@inai.de
- Trim time-sensitive wording in summary.
* Tue Aug 22 2017 hillwood@opensuse.org
- Update to 1.7.91
  * merge libzhuyin data.
* Tue Aug 22 2017 hillwood@opensuse.org
- Update to 1.7.10
  * fix issue 31 - full width punctuation input with wrong symbol
  * fix issue 32 - full/half width shortcut key switch with extra space output
  * fix issue 33 - fixes full/half width symbol input problem
* Sat Sep 10 2016 hillwood@opensuse.org
- Update to 1.7.8
  * fixes leak
  * Fixes FallbackEditor
  * fixes full punctuation in English mode
  * use Shift-Space to toggle full English mode
  * update class ZhuyinProperties
  * update class ZhuyinConfig
  * update main.py
  * update setup UI
  * combine two full/width modes into one mode
  * fixes compile
* Fri Dec 25 2015 hillwood@linuxfans.org
- Update to 1.7.6
  * clean up getCursorRight method
  * fixes getCursorRight and selectCandidate method
  * fixes getCursorRight method
  * fixes probe_section_start function
  * fixes getCursorRight method
  * fixes processSpace method
  * fixes prepareCandidates method
* Thu Oct  8 2015 hillwood@linuxfans.org
- fix file list.
* Sun Aug 23 2015 i@marguerite.su
- update version 1.7.4
  * add option - "Use Space Key to Show Candidates".
  * add option - "Show Candidates After the Cursor".
  * use zhuyin_valid_zhuyin_keys method.
- changes in 1.7.1
  * migrate setup dialog to python 3.x.
  * support gnome-software.
- drop ibus-libzhuyin-opencc-1_0_2-build.patch, upstreamed
* Wed Feb 25 2015 hillwood@linuxfans.org
- Use opencc 1.0.2
  * add ibus-libzhuyin-opencc-1_0_2-build.patch
* Sun Nov  2 2014 hillwood@linuxfans.org
- Update to 1.6.99.20140929
  * write updateLookupTableLabel method
* Sun Jul 13 2014 i@marguerite.su
- initial version 1.6.99.20140626
